Package org.zkoss.stateless.state

## Class ICoachmarkController

- java.lang.Object
- - org.zkoss.stateless.state.ICoachmarkController

-     public class ICoachmarkController
      extends java.lang.Object

  An `ICoachmark` controller to navigate the given coachmark to go next and control some status.

  Note: this class is not thread-safe, so when it's used in multi-threading environment, the developer should handle the threading issue.

  Author:
    katherine

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ICoachmark` | `build()` | Returns the immutable coachmark instance that the controller to build with.
    `void` | `close()` | Closes the coachmark.
    `void` | `next()` | Closes this coachmark and Open the next which is set.
    `static ICoachmarkController` | `of​(ICoachmark owner)` | Returns the controller instance with the given `coachmark`
    `void` | `open()` | Opens the coachmark.
    `void` | `setNext​(ICoachmarkController nextController)` | Sets next coachmark.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setNext

          public void setNext​(ICoachmarkController nextController)

      Sets next coachmark.

    - #### open

          public void open()

      Opens the coachmark.

    - #### close

          public void close()

      Closes the coachmark.

    - #### next

          public void next()

      Closes this coachmark and Open the next which is set.

    - #### of

          public static ICoachmarkController of​(ICoachmark owner)

      Returns the controller instance with the given `coachmark`
      Parameters:
        `owner` - The controller to control with

    - #### build

          public ICoachmark build()

      Returns the immutable coachmark instance that the controller to build with.